download_shared_file
GET
/api/v1/s/{token}/download
const url = 'https://example.com/api/v1/s/example/download';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/s/example/download";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://example.com/api/v1/s/example/downloadParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Share token
Query Parameters
Section titled “Query Parameters”disposition
string | null
Responses
Section titled “Responses”File content
Partial file content
Password required or download limit
Share not found